CFPRIME IEEND                                                           IEEND       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE IEEND (IU,ERR)                                         IEEND       3
CD                                                                      IEEND       4
CD    TO DETECT END OF DATA CARD FOR IEEE FORMAT DYNAMIC DATA.          IEEND       5
CD                                                                      IEEND       6
      INCLUDE 'CNUNIT.INS'                                              IEEND       7
      INCLUDE 'CNMSG.INS'                                               IEEND       8
C                                                                       IEEND       9
      CHARACTER*80 LINE                                                 IEEND      10
      LOGICAL ERR                                                       IEEND      11
      ERR=.FALSE.                                                       IEEND      12
C                                                                       IEEND      13
C                                                                       IEEND      14
      CALL GETLIN(IU,LINE)                                              IEEND      15
      IF (LINE(2:12).NE.'END OF DATA') THEN                             IEEND      16
        WRITE(MSG(1),3000)                                              IEEND      17
        WRITE(MSG(2),3010)                                              IEEND      18
        WRITE(MSG(3),3020) LINE(2:12)                                   IEEND      19
        CALL PRTMSG(3)                                                  IEEND      20
        ERR=.TRUE.                                                      IEEND      21
      ENDIF                                                             IEEND      22
C                                                                       IEEND      23
      RETURN                                                            IEEND      24
C                                                                       IEEND      25
 3000 FORMAT(' *** WARNING (IEEND) READING IEEE FORMAT LAST DATA CARD') IEEND      26
 3010 FORMAT(14X,'EXPECTING  "END OF DATA" IN COLUMNS 2 TO 12.')        IEEND      27
 3020 FORMAT(14X,'DATA READ IN IS : ',A12)                              IEEND      28
C                                                                       IEEND      29
      END                                                               IEEND      30
